Current vnc.so does not work on X.org xserver 1.4 and later (e.g. Fedora 9 and Ubuntu8.04).

I am considering to switch [[Modular xf4vnc:http://xf4vnc.sourceforge.net/modular.html]] code base which is based on X11R7.x, because it is getting harder to follow latest xserver with X11R6.9.0 based code.
I am considering to switch X11R7.x based VNC because it is getting harder to follow latest xserver with X11R6.9.0 based code.

I am waiting the first release of Modular xf4vnc, in the mean time, I place a patch.
Firstly, I thought [[Modular xf4vnc:http://xf4vnc.sourceforge.net/modular.html]]
was the best candidate.

The following patch can be applied on the modular xf4vnc as of Jul. 24, 2008, or xorg-server-1.5 with [[xorg-server-1.5-xf4vnc.patch>http://people.freedesktop.org/~dbn/xorg-server-1.5-xf4vnc.patch]].

#ref(xf4vnc-metavnc.patch)

This patch can be applied on the modular xf4vnc as of Jul. 24, 2008, or xorg-server-1.5 with [[xorg-server-1.5-xf4vnc.patch>http://people.freedesktop.org/~dbn/xorg-server-1.5-xf4vnc.patch]].

Tested on Fedora 9.

On the other hand, on xorg-server-1.4 based system such as Ubuntu 8.04, the above version of xf4vnc cannot be used.  So, use the following patch against xorg-server-1.4;
#ref(xorg-server-1.4-xf4vnc.patch)
Then apply the xf4vnc-metavnc.patch.

At now (Feb., 2009), it seems that TightVNC adopted by Fedora 11 seems to be the best candidate.

Front page   Edit Diff Backup Upload Copy Rename Reload   New List of pages Search Recent changes   Help   RSS of recent changes